Package io.vertx.core.net

## Class JksOptions

- java.lang.Object
- - io.vertx.core.net.KeyStoreOptionsBase
  - - io.vertx.core.net.JksOptions

- All Implemented Interfaces:
    `KeyCertOptions`, `TrustOptions`

      public class JksOptions
      extends KeyStoreOptionsBase

  Key or trust store options configuring private key and/or certificates based on Java Keystore files.
  Author:
    Julien Viet, Tim Fox

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JksOptions()` | Default constructor
    `JksOptions​(JsonObject json)` | Create options from JSON
    `JksOptions​(JksOptions other)` | Copy constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JksOptions` | `copy()` |
    `JksOptions` | `setAlias​(String alias)` | Set the alias for a server certificate when the keystore has more than one.
    `JksOptions` | `setAliasPassword​(String aliasPassword)` | Set the password for the server certificate designated by `KeyStoreOptionsBase.getAlias()`.
    `JksOptions` | `setPassword​(String password)` | Set the password for the key store
    `JksOptions` | `setPath​(String path)` | Set the path to the key store
    `JksOptions` | `setValue​(Buffer value)` | Set the key store as a buffer
    `JsonObject` | `toJson()` | Convert to JSON

    - ### Methods inherited from class io.vertx.core.net.KeyStoreOptionsBase

      `equals, getAlias, getAliasPassword, getHelper, getKeyManagerFactory, getPassword, getPath, getProvider, getTrustManagerFactory, getType, getValue, hashCode, keyManagerFactoryMapper, loadKeyStore, setProvider, setType, trustManagerMapper`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JksOptions

          public JksOptions()

      Default constructor

    - #### JksOptions

          public JksOptions​(JksOptions other)

      Copy constructor
      Parameters:
        `other` - the options to copy

    - #### JksOptions

          public JksOptions​(JsonObject json)

      Create options from JSON
      Parameters:
        `json` - the JSON

  - ### Method Detail

    - #### setPassword

          public JksOptions setPassword​(String password)

      Description copied from class: `KeyStoreOptionsBase`
      Set the password for the key store
      Overrides:
        `setPassword` in class `KeyStoreOptionsBase`
      Parameters:
        `password` - the password
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPath

          public JksOptions setPath​(String path)

      Description copied from class: `KeyStoreOptionsBase`
      Set the path to the key store
      Overrides:
        `setPath` in class `KeyStoreOptionsBase`
      Parameters:
        `path` - the path
      Returns:
        a reference to this, so the API can be used fluently

    - #### setValue

          public JksOptions setValue​(Buffer value)

      Set the key store as a buffer
      Overrides:
        `setValue` in class `KeyStoreOptionsBase`
      Parameters:
        `value` - the key store as a buffer
      Returns:
        a reference to this, so the API can be used fluently

    - #### setAlias

          public JksOptions setAlias​(String alias)

      Description copied from class: `KeyStoreOptionsBase`
      Set the alias for a server certificate when the keystore has more than one.
      Overrides:
        `setAlias` in class `KeyStoreOptionsBase`
      Returns:
        a reference to this, so the API can be used fluently

    - #### setAliasPassword

          public JksOptions setAliasPassword​(String aliasPassword)

      Description copied from class: `KeyStoreOptionsBase`
      Set the password for the server certificate designated by `KeyStoreOptionsBase.getAlias()`.
      Overrides:
        `setAliasPassword` in class `KeyStoreOptionsBase`
      Returns:
        a reference to this, so the API can be used fluently

    - #### copy

          public JksOptions copy()

      Specified by:
        `copy` in interface `KeyCertOptions`
      Specified by:
        `copy` in interface `TrustOptions`
      Specified by:
        `copy` in class `KeyStoreOptionsBase`
      Returns:
        a copy of these options

    - #### toJson

          public JsonObject toJson()

      Convert to JSON
      Returns:
        the JSON